﻿init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image window = "window.gif"
    image bedroom = "bedroomday.png"
    image classroom = "classroomday.png"
    image emily2 giggle = "sylvie2_giggle.png"
    image emily2 smile = "sylvie2_smile.png"
    image emily2 = "sylvie2_normal.png"
    image emily smile = "sylvie_smile.png"
    image emily shock = "sylvie_surprised.png"
    image emily giggle = "sylvie_giggle.png"
    image foyer = "foyerbg.png"
    image hallway = "hallwayday.png"
    image school = "schoolday.png"
    image street = "streetbg.png"
    image peter mad = "peter_angry.png"
    image peter = "peter_neutral.png"
    image peter suspect = "peter_suspicious.png"
    image ayame = "ayame_01.png"
    image ayame mad = "ayame_03.png" 
    image felix mad = "felix_angry.png"
    image felix smile = "felix_smile.png"
    image stairs = "hstairsday.png"
    image black bg = Solid("#000000")
    image forest = "forest2bg.png"
    image felix = "felix_normal.png"
    
    # Declare characters used by this game.
    $ p = Character('Peter', color="#c8ffc8")
    $ e = Character('Emily', color="#c8ffc8")
    $ w = Character('Woman', color="#c8ffc8")
    $ m = Character('Man', color="#c8ffc8")
    $ ma = Character('Mom', color="#c8ffc8")
    $ d = Character('Dad', color="#c8ffc8")

# The game starts here.
label start:
    "They're always fighting."
    
    show ayame mad at right
    
    w "I can't {i}believe{/i} you think I would destroy that vase on purpose!"
    
    show felix mad at left
    
    m "Like you didn't! You've always hated that vase, you told me yourself!"
    w "Just because I hate it doesn't mean I would break it!"
    m "It was a wedding present from my parents! You can't replace that!"
    w "If only I could replace you!"
    "They've always been like that, for as long as I can remember."
    "Their fighting has become something natural to me now, like the way the sun rises in the East, and sets in the West."
    "The way the full moon only comes around once a month."
    "The way my parents argue."
    d "And you're always out, shopping! That's all you ever do, spend my money!"
    
    ma "You never spend enough time with me, or your son! I'm surprised he still remembers what you look like!" 
    ma "You've spent all your time at the office, you workaholic freak!"
    d "I {i}have{/i} to be a 'workaholic freak' to pay all your bills!"
    
    scene black bg
    with fade
    
    centered "Mom and Dad have always fought..."
    centered "But lately..." 
    centered "It's been getting worse."  
    centered "Much worse."
    
    scene foyer
    with fade
    show ayame at right
    with dissolve
    
    ma "Peter! You're home."
    p "Uhm, yeah..."
    ma "Good. Your father and I want to talk to you."
    
    show felix at left
    with dissolve
    
    d "Yes. Peter... Your mother and I..."
    ma "We've decided to get a divorce."
    "Just like that, that one line, my world came crashing down around me."
    p "D-divorce? Like, separation?" 
    d "Yes. We've realized that we are no longer compatible with each other, and have decided to separate."
    "I always thought Mom and Dad would never get a divorce."
    "Maybe because they always fought, I thought it was part of their relationship."
    "Normal."
    "..."
    "I guess I was wrong."
    p "But... then... What will happen to me?"
    ma "We... We haven't made a choice on that yet."
    d "We were planning to discuss that more, later."
    "A pause."
    d "I'll be moving out of this house, into a smaller place across the city."
    ma "And I'll be staying here, where I grew up."
    "I could only nod, my jaw frozen, rendering me unable to speak."
    
    scene black bg
    with dissolve
    
    centered "How could they say this with such normal expressions?"
    centered "The way they looked now, you would think we were talking about the weather."
    centered "Numbly, I made my way to my room."
    
    scene bedroom
    with fade
    
    "I can't do anything."
    "Even if I wanted to do something, like go online, or study, or eat, or sleep..."
    "What would be the point? It wouldn't stop my parents from separating."
    "Nothing I do now would make any difference."
    "They've made their choice, and there's nothing I can do to change that, or make it any better..."
    "I make my way to the window."
    
    scene window
    with None
    
    "Unable to do anything else..."
    "I stand at the window, staring at the sky, until the sun comes up, and the night has passed."
    
    scene foyer 
    with fade
    
    "In the morning, I leave for school immediately."
    "I don't wait for my parents to wake up, and I take extra care not to wake my mom, who has taken to sleeping on the living room couch."
    
    scene street
    with dissolve
    
    "It's a cold day, the kind of weather I normally hate."
    "Today, though, I welcome it with open arms."
    "I feel as though the weather, and everything that happens today, should match my mood."
    "That nothing good ought to happen today, because I need some time to brood and feel sorry for myself."
    
    scene school
    with dissolve
    
    "Eventually, I get to school."
    
    scene stairs
    with dissolve
    
    "As I head up the stairs, I hear something."
    "Someone is... whistling?"
    "What kind of person would whistle on a day like this? I scowl, glaring in the direction I think the person is."
    "I head up the stairs, determined to give that annoyance a piece of my mind..."
    
    scene hallway
    show peter mad at left
    with dissolve
    
    p "Hey! You!"
    
    show emily shock at right
    
    e "Eh? What is it?"
    p "Why the heck are you whistling? It's so damn annoying!"
    e "Oh. Really?"
    
    show emily giggle at right
    
    e "Well, sorry, then! I didn't see you, and I didn't think I was bothering anyone."
    e "By the way, what's your name?"
    p "..."
    
    show peter suspect at left
    
    p "It's Peter."
    
    show peter at left
    show emily shock at right
    
    e "Peter?"
    e "Hmmm... Don't I know you from somewhere?"
    p "..."
    
    show emily smile at right
    
    e "Ah! That's right! You sit beside me in English, right?"
    p "... Ah. Right. You're Emily."
    
    show emily giggle at right
    
    e "That's right! I'm glad you remember me."
    e "Hey! Do you want to go to class together?"
    p "..."
    
label thingy: 
    
menu:     
    "... No.":
        jump no
        
    "... Alright.":
        jump alright

label alright:
    p "... Alright."
    e "Great!"
    "She grabs my hand with her left, while her right holds onto her book, and drags me to English."
    
    scene black bg
    with fade
    
    centered "A few months had passed by."
    centered "Emily and I had become incredibly close. It may seem odd in such a short time, but we considered ourselves the best of friends."
    centered "Looking back, I wholeheartedly believe that she is what got me through my parents' divorce, and what kept me together when my parents weren't."
    centered "We spent most of our time together at a clearing in a forest, where the light shined the brightest, the birds sang the sweetest, and the wind blew the best - not too harshly, not too softly."
    centered "One of the many days we spent there, she told me something..."
    
    scene forest
    show emily2 
    with dissolve
    
    e "Peter."
    p "Hmm?"
    "I was lying down on the grass, and sat up to look at her properly. Emily had grown up, and matured. We both had."
    e "Peter..."
    "I stayed silent, and waited for her to tell me what she needed to tell me."
    e "Peter, I have cancer."
    "Just like when my parents first told me they were separating, my heart skipped a beat."
    "I was frozen. I couldn't speak, think, or react in any way at all."
    e "Leukemia, to be exact."
    "She went on, making up for my silence."
    e "That time we were studying together, for the final exams? I got a terrible headache. I told you it was from stress. I lied... That was part of the cancer."
    "She paused."
    e "The doctors say I only have a few more weeks to live."
    "{i}That{/i} started me up. I panicked."
    p "What?! {i}Emily{/i}! Why aren't you in the hospital?! You should be undergoing medicines, or chemotherapy, or something!"
    "I had stood up by then, and was waving my hands around in the air to emphasise my point."
    p "You could {i}live{/i}! You could live the rest of your life, until you're a hundred years old, with gray hair, and wrinkles everywhere!"
    "Emily looked at me, still smiling, her eyes still happy."
    e "Peter, look at me."
    "I stopped my ranting and did what she said. I looked at her."
    "Emily looked... well, like she always did - happy. Like she was living life to the fullest, and had experienced everything worth experiencing."
    
    show emily2 giggle
    
    e "Peter... Thank you for worrying about me so much."
    
    show emily2
    
    e "But... I knew I was going to die a long time ago. I {i}chose{/i} not to take the medicine, because it's expensive, and my family wouldn't be able to afford it."
    
    show emily2 giggle 
    
    e "And, Peter... I'm really happy to have become your best friend, even if it's only for a short time."
    "I managed to nod."
    p "Y-yeah,"
    "I said, my voice cracking with emotion."
    p "So... You knew, even before you met me?"
    
    show emily2 
    
    e "Yes. And, Peter, I'm really sorry I didn't tell you at the time."
    e "To be honest, I was scared, that you wouldn't want to be close to me if you knew I would disappear."
    p "... I might have. I'm glad you didn't tell me."
    p "But, Emily... In all my years of knowing you, even as just someone I knew from school, I've never seen you sad or unhappy."
    p "Even when you knew you were going to die... Didn't you feel like... like..."
    e "Like nothing I could do would change that?"
    "I nod; I'm used to her finishing my sentences; sometimes, I feel like she can read my mind. This is one of those times."
    
    show emily2 smile
    
    e "I knew that I wouldn't get anything done if I felt like that."
    e "My philosophy is, if you don't live your life to the fullest, it's a waste."
    e "I think that if someone doesn't live their life to the fullest, they don't deserve to live."
    e "So I always try to be happy, because every day we have isn't something we should take for granted..."
    e "Every day we are alive is a gift."
    "She looked at me, and grinned."
    
    show emily2 giggle
    
    e "That's why it's called the present."
    
    scene black bg
    with fade
    
    centered "Emily died exactly three weeks later."
    centered "This may sound weird, but even though she was gone, there was still a part of her here, with me."
    centered "The part that used to sit with me under the trees in the forest..."
    centered "The part that taught me to treasure each day as a gift."
    
    scene black bg
    with fade
    
    centered ".good ending."
    jump credits
      
label no:
    p "... No." 
    
    show emily shock at right
    
    e "Oh... Alright, then."
    
    show emily smile at right
    
    e "I guess I'll see you around, Peter!"
    p "..."
    
    hide emily smile 
    
    "She is a very weird girl..."
    "Why is she so happy?"
    "I shrug off my questions and walk off to class on my own."
    
    scene black bg
    with fade
    
    "And, generally, that is how I live the rest of my life..."

    show peter 
    with fade

    "On my own."
    
    scene foyer
    with fade
    
    "I end up living with my mom, because it would be too troublesome for me to pack everything I have and unpack it again shortly afterward."
    "Even though where we live is rather far from my Dad's house, we keep in touch."
    "Mom and Dad even talk to each other on the phone, sometimes."
    
    scene black bg
    with fade
    
    centered "I guess the divorce thing worked out, in the end."
    centered "Eventually, I came to terms with it, but at the same time, I grew more distanced from my friends."
    centered "In turn, I was usually in a bad mood, and often answered back to my mom."
    centered "Things went downhill from there."
    centered "Dad offered to let me move in with him, but I didn't want to."
    centered "I felt no urge to do anything, anymore... Didn't see reason to do anything."
    centered "I had learned over time that I had no control over my life, so I simply let what happened, happen."
    centered "When I got low grades in school, I knew there was nothing I could do about it, because that's the way I was."
    centered "You may think me crazy, but I was just simply someone who knew their place in life."
    
    scene black bg
    with fade
    
    centered ".bad ending."
    jump credits
    
label credits:
    scene black bg 
    with fade

    centered "Inspired by Nickelback's 'If Today Was Your Last Day'"
    centered "Written/Programmed by Chronic-Spontaneity"
    centered "Background art by BCS, at http://lemmasoft.renai.us/forums/viewtopic.php?t=889"
    centered "Music from http://sam-free.com/songs"
    centered "Peter's Dad sprite by Tarra Nakatsu-Hua"
    centered "Peter's Mom sprite by Mikan, at http://lemmasoft.renai.us/forums/viewtopic.php?f=26&p=67473"
    centered "Peter sprite by Mikan, at http://lemmasoft.renai.us/forums/viewtopic.php?f=26&t=3783"
    centered "Emma [Sylvie, to RenPy users] sprite by Deji, licensed under the RenPy license."
    centered ".made with the Ren'Py Visual Novel engine."
    centered "Thank you for playing!"
    
return



    
    
    
    
    
    

    
    
    
    
